# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name transformers

Name:           ghc-%{pkg_name}
# part of haskell-platform
Version:        0.3.0.0
Release:        34%{?dist}
Summary:        Concrete functor and monad transformers

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
A portable library of functor and monad transformers, inspired by the paper
"Functional Programming with Overloading and Higher-Order Polymorphism", by
Mark P Jones, in "Advanced School of Functional Programming", 1995
(<http://web.cecs.pdx.edu/~mpj/pubs/springschool.html>).

This package contains:
* the monad transformer class (in "Control.Monad.Trans.Class")
* concrete functor and monad transformers, each with associated operations and
functions to lift operations associated with other transformers.

It can be used on its own in portable Haskell code, or with the monad classes
in the 'mtl' or 'monads-tf' packages, which automatically lift operations
introduced by monad transformers through other transformers.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0.0-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 26 2014 Jens Petersen <petersen@redhat.com> - 0.3.0.0-33
- update to 0.3.0.0
- separate from haskell-platform
- update with cabal-rpm-0.8.10

* Wed Mar 21 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.0-14
- rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan  2 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.0-12
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.2.0-11.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.2.0-11.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.2.2.0-11.1
- rebuild with new gmp

* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-11
- Update to cabal2spec-0.24

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-10
- ghc_arches replaces ghc_excluded_archs

* Sun Jun 19 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-9
- BR ghc-Cabal-devel and ghc-base-prof, instead of ghc-prof

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 0.2.2.0-8
- update to cabal2spec-0.23

* Thu May 05 2011 Jiri Skala <jskala@redhat.com> - 0.2.2.0-7
- Enable build on ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.2.2.0-6
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Jens Petersen <petersen@redhat.com>
- update to cabal2spec-0.22.4

* Sat Jan  8 2011 Jochen Schmitt <Jochen herr-schmitt de> - 0.2.2.0-4
- Rebuild to fix dependencies issues

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.2.2.0-3
- rebuild with ghc-7.0.1

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-2
- Rebuild

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.0-1
- Update to 0.2.2.0

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.1.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
